
Foreman - Refactor #12261

host_id references host(id) constraint on reports STI table is too restrictive for ForemanOpenscap

10/22/2015 09:37 AM - Ondřej Pražák

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2857

  

Description

ForemanOpenscap will be using reports table for its ArfReport. Arf reports are mapped to hosts through Asset, therefore host_id in

reports table is a foreign key of asset and not of host. ForemanOpesncap needs the foreign key constraint to be removed to be able

to use the new reports STI.

History

#1 - 10/22/2015 09:41 AM - Ondřej Pražák

- Blocked by Feature #4151: Add STI to reports and allow for registering new report types added

#2 - 10/22/2015 09:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2857 added

- Pull request deleted ()

#3 - 10/23/2015 06:53 AM - Dominic Cleal

- Blocked by deleted (Feature #4151: Add STI to reports and allow for registering new report types)

#4 - 10/23/2015 06:54 AM - Dominic Cleal

- Status changed from Ready For Testing to Rejected
